
#define URL_NONE    0
#define URL_IMAGES  1
#define URL_LINKS	2
#define URL_ANCHORS 4
#define URL_TAGS    8

#define URL_ALL  (URL_IMAGES|URL_LINKS|URL_ANCHORS|URL_TAGS)

#define URL_Parse_By_UrlVector  0
#define URL_Parse_By_Callback   1


#define URL_LENGTH 1024*2

typedef BOOL (*UrlCallbackType)(DWORD urlType, LPCWSTR url, LPVOID userData);

typedef struct
{
	WCHAR url[URL_LENGTH];
}UrlStruct, *PUrlStruct;

typedef std::vector<UrlStruct> UrlVector, *PUrlVector;

BOOL parseUrlByCallback(LPWSTR url, DWORD urlType, UrlCallbackType urlCallback, LPVOID userData);

//BOOL initMyParser();
BOOL parseUrlByVector(LPWSTR url, DWORD urlType, PUrlVector pUrlVector);
//BOOL uninitMyParser();

BOOL parseUrlByCallback2(LPWSTR url, DWORD urlType, UrlCallbackType urlCallback, LPVOID userData);
